Skip to content
CARP Docs
Ask AISystemLightDark

Protocol service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/protocol-service

The request body should be a serialized ProtocolServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • Add -> Unit
  • AddVersion -> Unit
  • UpdateParticipantDataConfiguration -> StudyProtocolSnapshot
  • GetBy -> StudyProtocolSnapshot
  • GetAllForOwner -> StudyProtocolSnapshot[]
  • GetVersionHistoryFor -> ProtocolVersion[]
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
protocol*
versionTag*string
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
Example request
curl -X POST 'https://dev.carp.dk/api/protocol-service' \  -H 'Content-Type: application/json' \  -d '{  "protocol": {},  "versionTag": "string",  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
{}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture